	SUBROUTINE UPCASE (STRING)
	CHARACTER*(*) STRING
C************************************************************************
C***
C***	THIS ROUTINE WILL CONVERT ALL LOWERCASE CHARACTERS IN A STRING
C***	TO UPPERCASE
C***
C***	PARAMETER :
C***
C***		STRING	(C*?)	CHARACTER STRING TO BE CONVERTED
C***
C************************************************************************
C*MCT
C
	INTEGER*4 STLEN,LS,LC
C
	LS = LEN (STRING)
C
	DO LC = 1,LS
	   IF (LGE(STRING(LC:LC),'a') .AND. 
	1      LLE(STRING(LC:LC),'z')) THEN
C
	      STRING (LC:LC) = CHAR (ICHAR (STRING(LC:LC)) - 32)
	   ELSE
	   ENDIF
	END DO
	RETURN
	END
